using System.IO;

namespace Crysome.Common.Network.Packets.Server;

public class StartProxyRequestPacket : IPacket
{
	public int SocksPort { get; set; }

	public StartProxyRequestPacket()
	{
	}

	public StartProxyRequestPacket(int socksPort)
	{
		SocksPort = socksPort;
	}

	public void Write(BinaryWriter w)
	{
		w.Write(SocksPort);
	}

	public void Read(BinaryReader r)
	{
		SocksPort = r.ReadInt32();
	}
}
